#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xjf libXdamage-1.1.4.tar.bz2
    cd libXdamage-1.1.4
    ./configure --prefix=/usr --sysconfdir=/etc/X11 --localstatedir=/var \
	    --datadir=/usr/lib --disable-static
    make
    strip -R .note -R .comment src/.libs/libXdamage.so.1
    mkdir -p ../libxdamage1/lib
    cp src/.libs/libXdamage.so.1 ../libxdamage1/lib/
    cd ..
    rm -rf libXdamage-1.1.4
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
